rt2750 make problem

Live forum: http://rt2x00.serialmonkey.com/viewtopic.php?t=4701

BlownCPU

28-03-2008 13:59:37

Hi everyone,

It's my first post, I have done a search but have not come to a conclusion on my problem.

I am running Fedora 8
Kernel 2.6.24.3-50 (latest)
USB wifi = D-Link DWL-G122 ver B1
Driver = rt2750 ver 1.6.1

Before kernel 2.6.24 I've had this USB wifi stick running very well, no problems -)
I think it's a kernel compat problem or I'm just doing something wrong.

Here is the output from make, like I said it had always worked in the past and I haven't changed anything.

[codewb2jpwv6]
[root@mylaptop Module]# make
make[1]: Entering directory `/usr/src/kernels/2.6.24.3-50.fc8-i686'
CC [M] /home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module/rtusb_main.o
/home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module/rtusb_main.c: In function ‘usb_rtusb_probe’:
/home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module/rtusb_main.c:1964: error: implicit declaration of function ‘SET_MODULE_OWNER’
/home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module/rtusb_main.c:1984: error: ‘struct net_device’ has no member named ‘weight’
/home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module/rtusb_main.c:2015: error: too few arguments to function ‘first_net_device’
make[2]: *** [/home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module/rtusb_main.o] Error 1
make[1]: *** [_module_/home/ben/Download/Install/rt2570-k2wrlz-1.6.1/Module] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.24.3-50.fc8-i686'
rt2570.ko failed to build!
make: *** [module] Error 1
[root@mylaptop Module]#
[/codewb2jpwv6]

I look forward to some suggestions,

Cheers,

BlownCPU

Fernando Hiagon

30-03-2008 07:57:50

hi BlownCPU.
Im brazillian, sorry about my english

I have the same situation here.
Im own a rt2570 USB device (like D-Link DWL-G122 rev. B1 or Linksys WUSB54G v4). Mine is Linksys WUSB54G v4..

I have Fedora 8
Kernel 2.6.24.3-50 (latest) --> just like you
USB wifi = WUSB54G v4
Driver = rt2750 ver 1.6.1

When i try make command... i get same output.

Im trying another way to get this working... or i will downgrade to FC 7

Thank you

Vern

30-03-2008 23:30:51

[quote1xfo1dcw]rt2750 ver 1.6.1[/quote1xfo1dcw]is not a message that comes from the legacy driver. Are you sure you're not using the Ralink version?

If you wish, you can download the latest tarball from here and try that.

wach

28-04-2008 13:02:58

The drivers you're using are the drivers from the durmstadt website, ASPj's patched drivers. Version 1.6.1 is currently not compatible with Kernel 2.6.24. I've got the same error when I try to compile.

IvD

28-04-2008 13:11:58

Ok, but that does mean you need to go there for support.

We only support drivers from donwloaded from _our_ website.
If you download the driver from somewhere else, then ask support there.